SINH 3M "630 MTG" ""

NAME
sinh, cosh, tanh - hyperbolic functions

SYNOPSIS
#include <ccs/math.h>

double sinh (x)
double x;

double cosh (x)
double x;

double tanh (x)
double x;

DESCRIPTION
Sinh, cosh, and tanh return, respectively, the hyberbolic sine, cosine and tangent of their argument.

DIAGNOSTICS
Sinh and cosh return HUGE (and sinh may return -HUGE for negative x) when the correct value would overflow and set errno to ERANGE.

These error-handling procedures may be changed with the function matherr(3M).

SEE ALSO
matherr(3M).